Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network212.0.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
212.0.0.0
Broadcast address
212.7.255.255
First usable
212.0.0.1
Last usable
212.7.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex D4000000 · Integer 3556769792 to 3557294079
Reverse DNS zones
0.212.in-addr.arpa
1.212.in-addr.arpa
2.212.in-addr.arpa
3.212.in-addr.arpa
4.212.in-addr.arpa
5.212.in-addr.arpa
6.212.in-addr.arpa
7.212.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010100.00000000.00000000.00000000212.0.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11010100.00000000.00000000.00000000212.0.0.0
Broadcast11010100.00000111.11111111.11111111212.7.255.255
Split into smaller subnets/20

212.0.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1212.0.0.0/20212.0.0.1 to 212.0.15.254212.0.15.2554,094
2212.0.16.0/20212.0.16.1 to 212.0.31.254212.0.31.2554,094
3212.0.32.0/20212.0.32.1 to 212.0.47.254212.0.47.2554,094
4212.0.48.0/20212.0.48.1 to 212.0.63.254212.0.63.2554,094
5212.0.64.0/20212.0.64.1 to 212.0.79.254212.0.79.2554,094
6212.0.80.0/20212.0.80.1 to 212.0.95.254212.0.95.2554,094
7212.0.96.0/20212.0.96.1 to 212.0.111.254212.0.111.2554,094
8212.0.112.0/20212.0.112.1 to 212.0.127.254212.0.127.2554,094
9212.0.128.0/20212.0.128.1 to 212.0.143.254212.0.143.2554,094
10212.0.144.0/20212.0.144.1 to 212.0.159.254212.0.159.2554,094
11212.0.160.0/20212.0.160.1 to 212.0.175.254212.0.175.2554,094
12212.0.176.0/20212.0.176.1 to 212.0.191.254212.0.191.2554,094
13212.0.192.0/20212.0.192.1 to 212.0.207.254212.0.207.2554,094
14212.0.208.0/20212.0.208.1 to 212.0.223.254212.0.223.2554,094
15212.0.224.0/20212.0.224.1 to 212.0.239.254212.0.239.2554,094
16212.0.240.0/20212.0.240.1 to 212.0.255.254212.0.255.2554,094
17212.1.0.0/20212.1.0.1 to 212.1.15.254212.1.15.2554,094
18212.1.16.0/20212.1.16.1 to 212.1.31.254212.1.31.2554,094
19212.1.32.0/20212.1.32.1 to 212.1.47.254212.1.47.2554,094
20212.1.48.0/20212.1.48.1 to 212.1.63.254212.1.63.2554,094
21212.1.64.0/20212.1.64.1 to 212.1.79.254212.1.79.2554,094
22212.1.80.0/20212.1.80.1 to 212.1.95.254212.1.95.2554,094
23212.1.96.0/20212.1.96.1 to 212.1.111.254212.1.111.2554,094
24212.1.112.0/20212.1.112.1 to 212.1.127.254212.1.127.2554,094
25212.1.128.0/20212.1.128.1 to 212.1.143.254212.1.143.2554,094
26212.1.144.0/20212.1.144.1 to 212.1.159.254212.1.159.2554,094
27212.1.160.0/20212.1.160.1 to 212.1.175.254212.1.175.2554,094
28212.1.176.0/20212.1.176.1 to 212.1.191.254212.1.191.2554,094
29212.1.192.0/20212.1.192.1 to 212.1.207.254212.1.207.2554,094
30212.1.208.0/20212.1.208.1 to 212.1.223.254212.1.223.2554,094
31212.1.224.0/20212.1.224.1 to 212.1.239.254212.1.239.2554,094
32212.1.240.0/20212.1.240.1 to 212.1.255.254212.1.255.2554,094
33212.2.0.0/20212.2.0.1 to 212.2.15.254212.2.15.2554,094
34212.2.16.0/20212.2.16.1 to 212.2.31.254212.2.31.2554,094
35212.2.32.0/20212.2.32.1 to 212.2.47.254212.2.47.2554,094
36212.2.48.0/20212.2.48.1 to 212.2.63.254212.2.63.2554,094
37212.2.64.0/20212.2.64.1 to 212.2.79.254212.2.79.2554,094
38212.2.80.0/20212.2.80.1 to 212.2.95.254212.2.95.2554,094
39212.2.96.0/20212.2.96.1 to 212.2.111.254212.2.111.2554,094
40212.2.112.0/20212.2.112.1 to 212.2.127.254212.2.127.2554,094
41212.2.128.0/20212.2.128.1 to 212.2.143.254212.2.143.2554,094
42212.2.144.0/20212.2.144.1 to 212.2.159.254212.2.159.2554,094
43212.2.160.0/20212.2.160.1 to 212.2.175.254212.2.175.2554,094
44212.2.176.0/20212.2.176.1 to 212.2.191.254212.2.191.2554,094
45212.2.192.0/20212.2.192.1 to 212.2.207.254212.2.207.2554,094
46212.2.208.0/20212.2.208.1 to 212.2.223.254212.2.223.2554,094
47212.2.224.0/20212.2.224.1 to 212.2.239.254212.2.239.2554,094
48212.2.240.0/20212.2.240.1 to 212.2.255.254212.2.255.2554,094
49212.3.0.0/20212.3.0.1 to 212.3.15.254212.3.15.2554,094
50212.3.16.0/20212.3.16.1 to 212.3.31.254212.3.31.2554,094
51212.3.32.0/20212.3.32.1 to 212.3.47.254212.3.47.2554,094
52212.3.48.0/20212.3.48.1 to 212.3.63.254212.3.63.2554,094
53212.3.64.0/20212.3.64.1 to 212.3.79.254212.3.79.2554,094
54212.3.80.0/20212.3.80.1 to 212.3.95.254212.3.95.2554,094
55212.3.96.0/20212.3.96.1 to 212.3.111.254212.3.111.2554,094
56212.3.112.0/20212.3.112.1 to 212.3.127.254212.3.127.2554,094
57212.3.128.0/20212.3.128.1 to 212.3.143.254212.3.143.2554,094
58212.3.144.0/20212.3.144.1 to 212.3.159.254212.3.159.2554,094
59212.3.160.0/20212.3.160.1 to 212.3.175.254212.3.175.2554,094
60212.3.176.0/20212.3.176.1 to 212.3.191.254212.3.191.2554,094
61212.3.192.0/20212.3.192.1 to 212.3.207.254212.3.207.2554,094
62212.3.208.0/20212.3.208.1 to 212.3.223.254212.3.223.2554,094
63212.3.224.0/20212.3.224.1 to 212.3.239.254212.3.239.2554,094
64212.3.240.0/20212.3.240.1 to 212.3.255.254212.3.255.2554,094
65212.4.0.0/20212.4.0.1 to 212.4.15.254212.4.15.2554,094
66212.4.16.0/20212.4.16.1 to 212.4.31.254212.4.31.2554,094
67212.4.32.0/20212.4.32.1 to 212.4.47.254212.4.47.2554,094
68212.4.48.0/20212.4.48.1 to 212.4.63.254212.4.63.2554,094
69212.4.64.0/20212.4.64.1 to 212.4.79.254212.4.79.2554,094
70212.4.80.0/20212.4.80.1 to 212.4.95.254212.4.95.2554,094
71212.4.96.0/20212.4.96.1 to 212.4.111.254212.4.111.2554,094
72212.4.112.0/20212.4.112.1 to 212.4.127.254212.4.127.2554,094
73212.4.128.0/20212.4.128.1 to 212.4.143.254212.4.143.2554,094
74212.4.144.0/20212.4.144.1 to 212.4.159.254212.4.159.2554,094
75212.4.160.0/20212.4.160.1 to 212.4.175.254212.4.175.2554,094
76212.4.176.0/20212.4.176.1 to 212.4.191.254212.4.191.2554,094
77212.4.192.0/20212.4.192.1 to 212.4.207.254212.4.207.2554,094
78212.4.208.0/20212.4.208.1 to 212.4.223.254212.4.223.2554,094
79212.4.224.0/20212.4.224.1 to 212.4.239.254212.4.239.2554,094
80212.4.240.0/20212.4.240.1 to 212.4.255.254212.4.255.2554,094
81212.5.0.0/20212.5.0.1 to 212.5.15.254212.5.15.2554,094
82212.5.16.0/20212.5.16.1 to 212.5.31.254212.5.31.2554,094
83212.5.32.0/20212.5.32.1 to 212.5.47.254212.5.47.2554,094
84212.5.48.0/20212.5.48.1 to 212.5.63.254212.5.63.2554,094
85212.5.64.0/20212.5.64.1 to 212.5.79.254212.5.79.2554,094
86212.5.80.0/20212.5.80.1 to 212.5.95.254212.5.95.2554,094
87212.5.96.0/20212.5.96.1 to 212.5.111.254212.5.111.2554,094
88212.5.112.0/20212.5.112.1 to 212.5.127.254212.5.127.2554,094
89212.5.128.0/20212.5.128.1 to 212.5.143.254212.5.143.2554,094
90212.5.144.0/20212.5.144.1 to 212.5.159.254212.5.159.2554,094
91212.5.160.0/20212.5.160.1 to 212.5.175.254212.5.175.2554,094
92212.5.176.0/20212.5.176.1 to 212.5.191.254212.5.191.2554,094
93212.5.192.0/20212.5.192.1 to 212.5.207.254212.5.207.2554,094
94212.5.208.0/20212.5.208.1 to 212.5.223.254212.5.223.2554,094
95212.5.224.0/20212.5.224.1 to 212.5.239.254212.5.239.2554,094
96212.5.240.0/20212.5.240.1 to 212.5.255.254212.5.255.2554,094
97212.6.0.0/20212.6.0.1 to 212.6.15.254212.6.15.2554,094
98212.6.16.0/20212.6.16.1 to 212.6.31.254212.6.31.2554,094
99212.6.32.0/20212.6.32.1 to 212.6.47.254212.6.47.2554,094
100212.6.48.0/20212.6.48.1 to 212.6.63.254212.6.63.2554,094
101212.6.64.0/20212.6.64.1 to 212.6.79.254212.6.79.2554,094
102212.6.80.0/20212.6.80.1 to 212.6.95.254212.6.95.2554,094
103212.6.96.0/20212.6.96.1 to 212.6.111.254212.6.111.2554,094
104212.6.112.0/20212.6.112.1 to 212.6.127.254212.6.127.2554,094
105212.6.128.0/20212.6.128.1 to 212.6.143.254212.6.143.2554,094
106212.6.144.0/20212.6.144.1 to 212.6.159.254212.6.159.2554,094
107212.6.160.0/20212.6.160.1 to 212.6.175.254212.6.175.2554,094
108212.6.176.0/20212.6.176.1 to 212.6.191.254212.6.191.2554,094
109212.6.192.0/20212.6.192.1 to 212.6.207.254212.6.207.2554,094
110212.6.208.0/20212.6.208.1 to 212.6.223.254212.6.223.2554,094
111212.6.224.0/20212.6.224.1 to 212.6.239.254212.6.239.2554,094
112212.6.240.0/20212.6.240.1 to 212.6.255.254212.6.255.2554,094
113212.7.0.0/20212.7.0.1 to 212.7.15.254212.7.15.2554,094
114212.7.16.0/20212.7.16.1 to 212.7.31.254212.7.31.2554,094
115212.7.32.0/20212.7.32.1 to 212.7.47.254212.7.47.2554,094
116212.7.48.0/20212.7.48.1 to 212.7.63.254212.7.63.2554,094
117212.7.64.0/20212.7.64.1 to 212.7.79.254212.7.79.2554,094
118212.7.80.0/20212.7.80.1 to 212.7.95.254212.7.95.2554,094
119212.7.96.0/20212.7.96.1 to 212.7.111.254212.7.111.2554,094
120212.7.112.0/20212.7.112.1 to 212.7.127.254212.7.127.2554,094
121212.7.128.0/20212.7.128.1 to 212.7.143.254212.7.143.2554,094
122212.7.144.0/20212.7.144.1 to 212.7.159.254212.7.159.2554,094
123212.7.160.0/20212.7.160.1 to 212.7.175.254212.7.175.2554,094
124212.7.176.0/20212.7.176.1 to 212.7.191.254212.7.191.2554,094
125212.7.192.0/20212.7.192.1 to 212.7.207.254212.7.207.2554,094
126212.7.208.0/20212.7.208.1 to 212.7.223.254212.7.223.2554,094
127212.7.224.0/20212.7.224.1 to 212.7.239.254212.7.239.2554,094
128212.7.240.0/20212.7.240.1 to 212.7.255.254212.7.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses